#Makefile for image functions of psLib
#
INCLUDES = \
	-I$(top_srcdir)/src/astronomy \
	-I$(top_srcdir)/src/collections \
	-I$(top_srcdir)/src/dataManip \
	-I$(top_srcdir)/src/dataIO \
	-I$(top_srcdir)/src/sysUtils \
	$(all_includes)

noinst_LTLIBRARIES = libpslibimage.la

libpslibimage_la_SOURCES = \
	psImage.c \
	psImageExtraction.c \
	psImageIO.c \
	psImageManip.c \
	psImageStats.c \
	psImageFFT.c \
	psImageConvolve.c

BUILT_SOURCES = psImageErrors.h
EXTRA_DIST = psImageErrors.dat psImageErrors.h image.i

psImageErrors.h: psImageErrors.dat
	perl $(top_srcdir)/src/parseErrorCodes.pl --data=$? $@

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psImage.h \
	psImageExtraction.h \
	psImageIO.h \
	psImageManip.h \
	psImageStats.h \
	psImageFFT.h \
	psImageConvolve.h
